VMware Cloud Community
pcampbel
Contributor
Contributor

2.7.7 to 3.0.3 upgrade failure

I created a copy of my installation and am now trying to
upgrade it to 3.0.3, however it fails apparently trying to start the built in db.
I cleaned up any share memory but get the same problem repeatedly.

Thanks for any assistance.

-sh-3.00$ ./setup.sh -upgrade
Unpacking JRE to temporary directory /tmp/jre
Initializing Hyperic HQ 3.0.3 Installation...
Loading taskdefs...
Taskdefs loaded
Enter full path of HQ server to upgrade: [default '']:
/usr/local/hyperic/server-2.7.7
HQ server installation path [default '/usr/local/hyperic']:

Loading install configuration...
Install configuration loaded.
Preparing to install...
Validating server install configuration...
Checking server webapp port...
Checking server secure webapp port...
Checking server JRMP port...
Checking server JNP port...
Validating server DB configuration...
Upgrading the server...
Unpacking server to: /usr/local/hyperic/server-3.0.3...
Creating server configuration files...
Copying binaries and libraries to server installation...
Copying server configuration file...
Copying server control file...
Copying server binaries...
Copying server libs...
Setting up server database...
Setting up JDBC driver...
Copying database, this may take some time...
Starting repopulation of configuration table...
Waiting for built-in database to start (on port 9432)...
--------------------------------------------------------------------------------
An ERROR occurred, the installation cannot continue.

An error occurred trying to start the HQ built-in database. More
information may be available in the /usr/local/hyperic/server-3.0.3/logs/hqdb.log file.
--------------------------------------------------------------------------------
Waiting for server to stop...
Stopping built-in database...
--------------------------------------------------------------------------------
An ERROR occurred, the installation cannot continue.
FATAL EXCEPTION at /usr/local/hyperic/hyperic-hq-installer/installer-3.0.3/data/setup.xml:435: : The following error occurred while executing this line:
/usr/local/hyperic/hyperic-hq-installer/installer-3.0.3/data/setup.xml:449: Thefollowing error occurred while executing this line:
/usr/local/hyperic/hyperic-hq-installer/installer-3.0.3/data/setup.xml:553: Thefollowing error occurred while executing this line:
/usr/local/hyperic/hyperic-hq-installer/installer-3.0.3/data/setup-db-PostgreSQL.xml:153: The following error occurred while executing this line:
/usr/local/hyperic/hyperic-hq-installer/installer-3.0.3/data/setup-db-PostgreSQL.xml:194: The following error occurred while executing this line:
/usr/local/hyperic/server-3.0.3/data/server.xml:168: exec returned: 1
--------------------------------------------------------------------------------
Deleting temporary JRE

Thanks
Reply
0 Kudos
2 Replies
admin
Immortal
Immortal

Is the copy running on the same machine as your running installation? The upgrade process starts the database to perform migration so if your HQ server is running you'll get a port conflict.

If that's not the case, is there anything in /usr/local/hyperic/server-3.0.3/logs/hqdb.log? If not, try starting the database by hand using /usr/local/hyperic/server-3.0.3/bin/db-start.sh. Any errors should be printed out to the terminal.

-Ryan
Reply
0 Kudos
pcampbel
Contributor
Contributor

Turns out that a slight corruption occurred in the DB when I made a copy of it. Starting it under 2.7.7 and correcting allowed for the upgrade to 3.0.3 to complete

Thanks.
Reply
0 Kudos